Loading...
Searching...
No Matches
BALL::AmberNonBonded Class Reference
Molecular Modeling » Molecular Mechanics » AMBER Force Field.

`#include <BALL/MOLMEC/AMBER/amberNonBonded.h>`

Inheritance diagram for BALL::AmberNonBonded:

## Public Member Functions

Constructors and Destructors
| AmberNonBonded ()
| AmberNonBonded (ForceField &force_field)
| AmberNonBonded (const AmberNonBonded &amber_non_bonded)
virtual | ~AmberNonBonded ()
const AmberNonBonded & | operator= (const AmberNonBonded &anb)
virtual void | clear ()
bool | operator== (const AmberNonBonded &anb)
Setup Methods
virtual bool | setup ()
bool | setup (Options &options, ForceFieldParameters &par)
Accessors
virtual double | updateEnergy ()
virtual void | updateForces ()
virtual void | update ()
void | update (const std::vector< std::pair< Atom *, Atom * > > &atom_vector)
virtual double | getElectrostaticEnergy () const
virtual double | getVdwEnergy () const
Public Member Functions inherited from BALL::ForceFieldComponent
| ForceFieldComponent ()
| ForceFieldComponent (ForceField &force_field)
| ForceFieldComponent (const ForceFieldComponent &force_field_component)
virtual | ~ForceFieldComponent ()
ForceField * | getForceField () const
void | setForceField (ForceField &force_field)
void | setName (const String &name)
String | getName () const
bool | isEnabled () const
void | setEnabled (bool state)
virtual double | getEnergy () const
double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Static Public Attributes

static const double | ELECTROSTATIC_FACTOR

## Neighbourhood and Parameter calculations

double | electrostatic_energy_
double | vdw_energy_
virtual MolmecSupport::PairListAlgorithmType | determineMethodOfAtomPairGeneration ()
virtual void | buildVectorOfNonBondedAtomPairs (const std::vector< std::pair< Atom *, Atom * > > &atom_vector, const LennardJones &lennard_jones, const Potential1210 &hydrogen_bond)
void | enableStoreInteractions (bool b=true)
void | setAdvancedElectrostatic (AdvancedElectrostatic *advES)

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
ForceField * | force_field_
double | energy_
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

Amber NonBonded (VdW + Electrostatic) component

Definition at line 38 of file amberNonBonded.h.

## Constructor & Destructor Documentation

## AmberNonBonded() [1/3]

BALL::AmberNonBonded::AmberNonBonded | ( |  | ) |

Default constructor.

## AmberNonBonded() [2/3]

BALL::AmberNonBonded::AmberNonBonded | ( | ForceField & | force_field | ) |

Constructor.

## AmberNonBonded() [3/3]

BALL::AmberNonBonded::AmberNonBonded | ( | const AmberNonBonded & | amber_non_bonded | ) |

Copy constructor

## ~AmberNonBonded()

virtual BALL::AmberNonBonded::~AmberNonBonded | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## buildVectorOfNonBondedAtomPairs()

virtual void BALL::AmberNonBonded::buildVectorOfNonBondedAtomPairs | ( | const std::vector< std::pair< Atom *, Atom * > > & | atom_vector,
|  | const LennardJones & | lennard_jones,
|  | const Potential1210 & | hydrogen_bond )

virtual

Build a vector of non-bonded atom pairs with the vdw parameters

Exceptions

  BALL::Exception::TooManyErrors |

## clear()

virtual void BALL::AmberNonBonded::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ScoringComponent.

## determineMethodOfAtomPairGeneration()

virtual MolmecSupport::PairListAlgorithmType BALL::AmberNonBonded::determineMethodOfAtomPairGeneration | ( |  | ) |

virtual

Computes the most efficient way to calculate the non-bonded atom pairs

## enableStoreInteractions()

void BALL::AmberNonBonded::enableStoreInteractions | ( | bool | b = true | ) |

## getElectrostaticEnergy()

virtual double BALL::AmberNonBonded::getElectrostaticEnergy | ( |  | ) | const

virtual

Return the electrostatic energy.

## getVdwEnergy()

virtual double BALL::AmberNonBonded::getVdwEnergy | ( |  | ) | const

virtual

Return the Van-der-Waals energy.

## operator=()

const AmberNonBonded & BALL::AmberNonBonded::operator= | ( | const AmberNonBonded & | anb | ) |

Assignment Assignment operator

## operator==()

bool BALL::AmberNonBonded::operator== | ( | const AmberNonBonded & | anb | ) |

Predicates Equality operator

## setAdvancedElectrostatic()

void BALL::AmberNonBonded::setAdvancedElectrostatic | ( | AdvancedElectrostatic * | advES | ) |

## setup() [1/2]

virtual bool BALL::AmberNonBonded::setup | ( |  | ) |

virtual

Setup method.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## setup() [2/2]

bool BALL::AmberNonBonded::setup | ( | Options & | options,
|  | ForceFieldParameters & | par )

Setup this component according to the given options and store the ForceFieldParameters in par

## update() [1/2]

virtual void BALL::AmberNonBonded::update | ( |  | ) |

virtual

Update the pair list. This method is called by the force field whenever ForceField::update is called. It is used to recalculate the nonbonded pair list.

Exceptions

  BALL::Exception::TooManyErrors |

Reimplemented from BALL::ForceFieldComponent.

## update() [2/2]

void BALL::AmberNonBonded::update | ( | const std::vector< std::pair< Atom *, Atom * > > & | atom_vector | ) |

virtual

Update this component using the given atom-pairs only

Reimplemented from BALL::ScoringComponent.

## updateEnergy()

virtual double BALL::AmberNonBonded::updateEnergy | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ForceFieldComponent.

## updateForces()

virtual void BALL::AmberNonBonded::updateForces | ( |  | ) |

virtual

Calculates and returns the component's forces.

Reimplemented from BALL::ForceFieldComponent.

## Member Data Documentation

## electrostatic_energy_

double BALL::AmberNonBonded::electrostatic_energy_

protected

Definition at line 186 of file amberNonBonded.h.

## ELECTROSTATIC_FACTOR

const double BALL::AmberNonBonded::ELECTROSTATIC_FACTOR

static

Definition at line 47 of file amberNonBonded.h.

## vdw_energy_

double BALL::AmberNonBonded::vdw_energy_

protected

Definition at line 190 of file amberNonBonded.h.